# comment out if not pre-rel
%define prel	rc5

# rel to bump
%define rel	17

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Font rendering library for OpenGL applications
Name:		ftgl
Version:	2.1.3
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	MIT
Group:		System/Libraries
URL:		http://ftgl.wiki.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}%{?prel:-%prel}.tar.bz2
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	doxygen

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{libname}
Summary:	OpenGL Interface of Freetype2
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description -n	%{libname}
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{develname}
Summary:	Development related files of FTGL
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}0-devel

%description -n	%{develname}
This package contains headers and static libraries of FTGL.
You need to install it if you want to develop or compile
any programs that make use of OpenGL interface of freetype
library.

%prep
%setup -q -n %{name}-%{version}%{?prel:~%prel}

find -type f -name '*.txt' -print0 | xargs -0 -r chmod 0644

%build
%configure --enable-shared
%make_build

%install
%makeinstall

# include doc ourselves, don't let software do it
rm -rf %{buildroot}%{_docdir}

# remove files not bundled
rm -f %{buildroot}%{_bindir}/FTGLDemo
rmdir %{buildroot}%{_bindir} || true

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%{_libdir}/libftgl.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS BUGS NEWS README TODO
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Aug 23 2020 joequant <joequant> 2.1.3-0.rc5.17.mga8
+ Revision: 1618128
- remove arm64 workaround

* Thu Feb 13 2020 umeabot <umeabot> 2.1.3-0.rc5.16.mga8
+ Revision: 1512357
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-0.rc5.15.mga7
+ Revision: 1297796
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.1.3-0.rc5.14.mga7
+ Revision: 1234020
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 2.1.3-0.rc5.13.mga6
+ Revision: 931989
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-0.rc5.12.mga5
+ Revision: 740973
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-0.rc5.11.mga5
+ Revision: 679372
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.3-0.rc5.10.mga4
+ Revision: 504669
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1.3-0.rc5.9.mga3
+ Revision: 350974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.8.mga3
+ Revision: 335467
- Better fix for new rpm

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.7.mga3
+ Revision: 335415
- Rebuild to fix previous fix

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.6.mga3
+ Revision: 335406
- Workaround new rpm limitation

* Wed Jan 26 2011 ahmad <ahmad> 2.1.3-0.rc5.5.mga1
+ Revision: 40899
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package ftgl

